Name:		siglo
Version:	0.9.9
Release:	4%{dist}
Summary:	GTK app to sync InfiniTime watch with PinePhone

License:	MPL-2.0 and APL-2.0
URL:		https://github.com/theironrobin/siglo
Source0:	https://github.com/theironrobin/siglo/archive/refs/tags/v%{version}.tar.gz

BuildRequires:	meson
BuildRequires:	glib2-devel
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:  python3-devel
BuildRequires:  python-gatt
BuildRequires:  python3-gatt

Requires: python3
Requires: python3-requests
Requires: python3-dbus
Requires: python3-gatt
Requires: python3-pyxdg
Requires: bluez-deprecated

%global debug_package %{nil}

%description
Siglo is an app for the PineTime watch. Siglo can update the time on the watch,
and it can flash new firmware directly from PineTime repo. Siglo works both from
a PC and from the PinePhone.
'siglo' means century in Spanish.

%prep
%setup -q -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/%{name}
/etc/systemd/user/siglo.service
/usr/share/metainfo/com.github.theironrobin.siglo.appdata.xml
/usr/share/applications/com.github.theironrobin.siglo.desktop
/usr/share/glib-2.0/schemas/com.github.theironrobin.siglo.gschema.xml
/usr/share/icons/hicolor/scalable/apps/com.github.theironrobin.siglo.svg
/usr/share/siglo/siglo.gresource
/usr/share/siglo/siglo/__init__.py
/usr/share/siglo/siglo/ble_dfu.py
/usr/share/siglo/siglo/config.py
/usr/share/siglo/siglo/bluetooth.py
/usr/share/siglo/siglo/daemon.py
/usr/share/siglo/siglo/main.py
/usr/share/siglo/siglo/quick_deploy.py
/usr/share/siglo/siglo/unpacker.py
/usr/share/siglo/siglo/util.py
/usr/share/siglo/siglo/window.py
/usr/share/locale/nl/LC_MESSAGES/siglo.mo

%doc README.md
%license LICENSE

%changelog
* Thu Jun 26 2025 Yoda - 0.9.9-4
- Rebuild for Python 3.14 (rawhide)
- Update to 0.9.9-4

* Thu Dec 15 2022 Yoda - 0.9.9-1
- Update to 0.9.9

* Thu Dec 15 2022 Yoda - 0.9.8-1
- Update to 0.9.8

* Sat Jul 30 2022 Yoda - 0.9.7-2
- Update to 0.9.7
- Added BuildRequires: python3-gatt

* Sat Jul 30 2022 Yoda - 0.9.7-1
- Update to 0.9.7
- Name of git repo changed

* Wed Jun 22 2022 Yoda - 0.9.6-2
- Refreshed to Python 3.11

* Wed Jun 22 2022 Yoda - 0.9.6-1
- Update to 0.9.6

* Thu Sep 2 2021 Yoda - 0.9.0-1
- Update to 0.9.0

* Thu Aug 12 2021 Yoda - 0.8.13-1
- Added requires bluez-deprecated
- Update to 0.8.13

* Fri Apr 16 2021 Yoda - 0.6.1-1
- Update to 0.6.1

* Fri Apr 16 2021 Yoda - 0.6.0-2
- Add a few more dependencies.

* Fri Apr 16 2021 Tor - 0.6.0-1
- initial packaging
